<!doctype html>
<html lang="en">
    <head>
        <!-- META TAGS -->
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1">
        <link rel="icon" href="data:;base64,iVBORw0KGgo=">
        <!-- BOOTSTRAP CSS -->
        <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.0.2/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-EVSTQN3/azprG1Anm3QDgpJLIm9Nao0Yz1ztcQTwFspd3yD65VohhpuuCOmLASjC" crossorigin="anonymous">
        <link rel="stylesheet" href="css/styles.css">
        <title>DropBearTable</title>
        <link rel="icon" href="img/koala.svg" type="image/x-icon">
    </head>

    <body id="docBody">
    <nav class="navbar navbar-expand-lg">
        <div id="navbarDiv" class="container-fluid">
            <div id="navbarBrandDiv">
                <!-- LOGO -->
                <a href="index.html"><img id="logoImage" src="img/koala.svg" alt="DropBearTable logo"></a>
                <a id="brandName" class="navbar-brand" href="index.html">DropBearTable</a>
                <!-- END LOGO -->
            </div>
            <div id="menu">
                <!-- MENU LIST -->
                <div id="navbarLinks">
                    <button id="logInLink">Log In</button>
                    <a href="reservations.html" id="reservationsLink" class="hide-content">My Reservations</a>
                    <button id="contactUsLink">Contact Us</button>
                </div>
                <!-- END MENU LIST -->

                <!-- LOG IN FORM -->
                <div id="logInDiv" class="hide-content">
                    <!-- Close Button -->
                    <button id="logInCloseBtn">
                        <svg xmlns="http://www.w3.org/2000/svg" width="20" height="20" fill="currentColor" class="bi bi-x-circle" viewBox="0 0 16 16">
                            <path d="M8 15A7 7 0 1 1 8 1a7 7 0 0 1 0 14zm0 1A8 8 0 1 0 8 0a8 8 0 0 0 0 16z"/>
                            <path d="M4.646 4.646a.5.5 0 0 1 .708 0L8 7.293l2.646-2.647a.5.5 0 0 1 .708.708L8.707 8l2.647 2.646a.5.5 0 0 1-.708.708L8 8.707l-2.646 2.647a.5.5 0 0 1-.708-.708L7.293 8 4.646 5.354a.5.5 0 0 1 0-.708z"/>
                        </svg>
                    </button>
                    <div id="logInForm" class="container-fluid">
                        <!-- Email Input -->
                        <div class="mb-3">
                            <h5 id="loginHeader">Please log in to view your reservations.</h5>
                        </div>
                        <div class="form-floating mb-3">
                            <input type="email" class="form-control" id="emailInput" placeholder="name@example.com">
                            <label for="emailInput" class="form-label">Email address</label>
                        </div>
                        <!-- Password Input -->
                        <div class="form-floating">
                            <input type="password" class="form-control" id="passwordInput" placeholder="Password">
                            <label for="passwordInput">Password</label>
                        </div>
                        <!-- Log In Submit Button -->
                        <button type="submit" id="logInSubmitBtn" class="btn btn-light">Submit</button>
                        <div id="invalidNote" class="hide-content">Email or password entered is invalid. (NOTE: Login with "name@example.com" and "password")</div>
                    </div>
                </div>
                <!-- END LOG IN FORM -->
            </div>
        </div>
    </nav>

    <div id="mainBody" class="container-fluid">
        <div id="mainHomeContent">
            <!-- MAIN HEADER CONTENT -->
            <div id="mainRow" class="row">
                <!-- Header Decorations -->
                <div id="headingDecoration">
                    <svg id="circle1" xmlns="http://www.w3.org/2000/svg" width="100" height="100" fill="currentColor" class="bi bi-circle-fill" viewBox="0 0 16 16">
                        <circle cx="8" cy="8" r="8"/>
                    </svg>
                    <svg id="circle2" xmlns="http://www.w3.org/2000/svg" width="100" height="100" fill="currentColor" class="bi bi-circle-fill" viewBox="0 0 16 16">
                        <circle cx="8" cy="8" r="8"/>
                    </svg>
                    <svg id="circle3" xmlns="http://www.w3.org/2000/svg" width="100" height="100" fill="currentColor" class="bi bi-circle" viewBox="0 0 16 16">
                        <path d="M8 15A7 7 0 1 1 8 1a7 7 0 0 1 0 14zm0 1A8 8 0 1 0 8 0a8 8 0 0 0 0 16z"/>
                    </svg>
                </div>
                <div id="subHeadingDecoration">
                    <svg id="subCircle1" xmlns="http://www.w3.org/2000/svg" width="100" height="100" fill="currentColor" class="bi bi-circle-fill" viewBox="0 0 16 16">
                        <circle cx="8" cy="8" r="8"/>
                    </svg>
                    <svg id="subCircle2" xmlns="http://www.w3.org/2000/svg" width="100" height="100" fill="currentColor" class="bi bi-circle-fill" viewBox="0 0 16 16">
                        <circle cx="8" cy="8" r="8"/>
                    </svg>
                </div>
                <!-- Header Text -->
                <div id="mainHeadingDiv" >
                    <figure class="text-end">
                        <h1 id="mainHeader">Try the taste of Restaurant Three.</h1>
                        <small id="mainSubtext">book now with DropBearTable</small>
                    </figure>
                </div>
            </div>
            <!-- END OF MAIN HEADER -->

            <!-- NOTIFICATION CONTENT -->
            <div id="processingContainer" class="hide-content">
                <!-- Hourglass Processing Icon -->
                <div id="iconDiv" class="container-fluid">
                    <svg id="hourglass" xmlns="http://www.w3.org/2000/svg" width="100" height="100" fill="currentColor" class="bi bi-hourglass" viewBox="0 0 16 16">
                        <path d="M2 1.5a.5.5 0 0 1 .5-.5h11a.5.5 0 0 1 0 1h-1v1a4.5 4.5 0 0 1-2.557 4.06c-.29.139-.443.377-.443.59v.7c0 .213.154.451.443.59A4.5 4.5 0 0 1 12.5 13v1h1a.5.5 0 0 1 0 1h-11a.5.5 0 1 1 0-1h1v-1a4.5 4.5 0 0 1 2.557-4.06c.29-.139.443-.377.443-.59v-.7c0-.213-.154-.451-.443-.59A4.5 4.5 0 0 1 3.5 3V2h-1a.5.5 0 0 1-.5-.5zm2.5.5v1a3.5 3.5 0 0 0 1.989 3.158c.533.256 1.011.791 1.011 1.491v.702c0 .7-.478 1.235-1.011 1.491A3.5 3.5 0 0 0 4.5 13v1h7v-1a3.5 3.5 0 0 0-1.989-3.158C8.978 9.586 8.5 9.052 8.5 8.351v-.702c0-.7.478-1.235 1.011-1.491A3.5 3.5 0 0 0 11.5 3V2h-7z"/>
                    </svg>
                </div>
            </div>

            <div id="notifContainer" class="hide-content">
                <div id="notifDiv" class="container-fluid">
                    <!-- Close Button -->
                    <button id="notifClose">
                        <svg xmlns="http://www.w3.org/2000/svg" width="20" height="20" fill="currentColor" class="bi bi-x-circle" viewBox="0 0 16 16">
                            <path d="M8 15A7 7 0 1 1 8 1a7 7 0 0 1 0 14zm0 1A8 8 0 1 0 8 0a8 8 0 0 0 0 16z"/>
                            <path d="M4.646 4.646a.5.5 0 0 1 .708 0L8 7.293l2.646-2.647a.5.5 0 0 1 .708.708L8.707 8l2.647 2.646a.5.5 0 0 1-.708.708L8 8.707l-2.646 2.647a.5.5 0 0 1-.708-.708L7.293 8 4.646 5.354a.5.5 0 0 1 0-.708z"/>
                        </svg>
                    </button>
                    <!-- Notification Content -->
                    <div id="notifInfo" class="card-body">
                        <h3 id="notifTitle" class="card-title">Booking Successful!</h3>
                        <p id="notifMessage" class="card-text"></p>
                    </div>
                </div>
            </div>
            <!-- END OF NOTIFICATION CONTENT -->

            <!-- CONFIRMATION CONTENT -->
            <div id="confirmContainer" class="hide-content">
                <div id="confirmationDiv" class="container-fluid">
                    <!-- Close Button -->
                    <button id="confirmationClose">
                        <svg xmlns="http://www.w3.org/2000/svg" width="20" height="20" fill="currentColor" class="bi bi-x-circle" viewBox="0 0 16 16">
                            <path d="M8 15A7 7 0 1 1 8 1a7 7 0 0 1 0 14zm0 1A8 8 0 1 0 8 0a8 8 0 0 0 0 16z"/>
                            <path d="M4.646 4.646a.5.5 0 0 1 .708 0L8 7.293l2.646-2.647a.5.5 0 0 1 .708.708L8.707 8l2.647 2.646a.5.5 0 0 1-.708.708L8 8.707l-2.646 2.647a.5.5 0 0 1-.708-.708L7.293 8 4.646 5.354a.5.5 0 0 1 0-.708z"/>
                        </svg>
                    </button>
                    <!-- Confirmation of Booking Details -->
                    <div id="confirmationInfo" class="card-body">
                        <h3 id="confirmationTitle" class="card-title">Please confirm your booking</h3>
                        <p id="restoName" class="card-text card-info"></p>
                        <p id="dateInfo" class="card-text card-info"></p>
                        <p id="timeInfo" class="card-text card-info"></p>
                        <p id="peopleInfo" class="card-text card-info"></p>
                    </div>
                    <!-- Confirmation User Details Form -->
                    <div id="confirmationForm" class="mb-3">
                        <label for="username" class="form-label">Name:</label>
                        <input  id="username" type="email" class="form-control" placeholder="" required>
                        <label for="mobile" class="form-label">Mobile number:</label>
                        <input id="mobile" type="tel" class="form-control" minlength="10" maxlength="10" required>
                        <label for="specialRequests" class="form-label">Additional information:</label>
                        <textarea id="specialRequests" class="form-control" rows="3" placeholder="Please enter any additional information or special requests"></textarea>
                    </div>
                    <!-- Confirmation Submit Button -->
                    <div class="mb-3">
                        <button id="submitBookingBtn" class="btn btn-light" type="button">Submit Booking</button>
                    </div>
                </div>
            </div>
            <!-- END OF CONFIRMATION CONTENT -->

            <!-- MIDDLE ROW CONTENT -->
            <div id="middleRow" class="row">
                <!-- CAROUSEL IMAGES -->
                <div id="carouselExampleIndicators" class="carousel slide" data-bs-ride="carousel">
                    <div class="carousel-indicators">
                        <button type="button" data-bs-target="#carouselExampleIndicators" data-bs-slide-to="0" class="active" aria-current="true" aria-label="Slide 1"></button>
                        <button type="button" data-bs-target="#carouselExampleIndicators" data-bs-slide-to="1" aria-label="Slide 2"></button>
                        <button type="button" data-bs-target="#carouselExampleIndicators" data-bs-slide-to="2" aria-label="Slide 3"></button>
                    </div>
                    <div class="carousel-inner">
                        <div class="carousel-item active">
                            <img id="image1" src="img/restaurant3_A.jpg" class="d-block w-100" alt="...">
                        </div>
                        <div class="carousel-item">
                            <img id="image2" src="img/restaurant3_B.jpg" class="d-block w-100" alt="...">
                        </div>
                        <div class="carousel-item">
                            <img id="image3" src="img/restaurant3_C.jpg" class="d-block w-100" alt="...">
                        </div>
                    </div>
                    <button class="carousel-control-prev" type="button" data-bs-target="#carouselExampleIndicators" data-bs-slide="prev">
                        <span class="carousel-control-prev-icon" aria-hidden="true"></span>
                        <span class="visually-hidden">Previous</span>
                    </button>
                    <button class="carousel-control-next" type="button" data-bs-target="#carouselExampleIndicators" data-bs-slide="next">
                        <span class="carousel-control-next-icon" aria-hidden="true"></span>
                        <span class="visually-hidden">Next</span>
                    </button>
                </div>
                <!-- END OF CAROUSEL IMAGES -->
                <div id="restaurantInfo" class="card">
                    <div id="restaurantHeader" class="card-header">
                        <h1 id="restaurantName">Restaurant Three</h1>
                    </div>
                    <div class="card-body">
                        <h5 class="card-title">Special title treatment</h5>
                        <p class="card-text">With supporting text below as a natural lead-in to additional content.</p>

                        <!-- SEARCH BAR -->
                        <div id="searchPropertiesBar" class="input-group">
                            <!-- Calendar Start -->
                            <div class="input-group-prepend">
                                <label class="input-group-text" for="calendarInput">
                                    <svg xmlns="http://www.w3.org/2000/svg" width="34" height="34" fill="currentColor" class="bi bi-calendar4-event" viewBox="0 0 16 16">
                                        <path d="M3.5 0a.5.5 0 0 1 .5.5V1h8V.5a.5.5 0 0 1 1 0V1h1a2 2 0 0 1 2 2v11a2 2 0 0 1-2 2H2a2 2 0 0 1-2-2V3a2 2 0 0 1 2-2h1V.5a.5.5 0 0 1 .5-.5zM2 2a1 1 0 0 0-1 1v1h14V3a1 1 0 0 0-1-1H2zm13 3H1v9a1 1 0 0 0 1 1h12a1 1 0 0 0 1-1V5z"/>
                                        <path d="M11 7.5a.5.5 0 0 1 .5-.5h1a.5.5 0 0 1 .5.5v1a.5.5 0 0 1-.5.5h-1a.5.5 0 0 1-.5-.5v-1z"/>
                                    </svg>
                                </label>
                            </div>
                            <input type="date" class="form-control" id="calendarInput">
                            <!-- Calendar End -->
                            <!-- Time Selection Start -->
                            <div class="input-group-prepend">
                                <label class="input-group-text" for="timeInput">
                                    <svg xmlns="http://www.w3.org/2000/svg" width="34" height="34" fill="currentColor" class="bi bi-clock" viewBox="0 0 16 16">
                                        <path d="M8 3.5a.5.5 0 0 0-1 0V9a.5.5 0 0 0 .252.434l3.5 2a.5.5 0 0 0 .496-.868L8 8.71V3.5z"/>
                                        <path d="M8 16A8 8 0 1 0 8 0a8 8 0 0 0 0 16zm7-8A7 7 0 1 1 1 8a7 7 0 0 1 14 0z"/>
                                    </svg>
                                </label>
                            </div>
                            <select class="custom-select" id="timeInput"></select>
                            <!-- Time Select End -->
                            <!-- Number of People Selection Start -->
                            <div class="input-group-prepend">
                                <label class="input-group-text" for="peopleInput">
                                    <svg xmlns="http://www.w3.org/2000/svg" width="34" height="34" fill="currentColor" class="bi bi-people-fill" viewBox="0 0 16 16">
                                        <path d="M7 14s-1 0-1-1 1-4 5-4 5 3 5 4-1 1-1 1H7zm4-6a3 3 0 1 0 0-6 3 3 0 0 0 0 6z"/>
                                        <path fill-rule="evenodd" d="M5.216 14A2.238 2.238 0 0 1 5 13c0-1.355.68-2.75 1.936-3.72A6.325 6.325 0 0 0 5 9c-4 0-5 3-5 4s1 1 1 1h4.216z"/>
                                        <path d="M4.5 8a2.5 2.5 0 1 0 0-5 2.5 2.5 0 0 0 0 5z"/>
                                    </svg>
                                </label>
                            </div>
                            <select class="custom-select" id="peopleInput"></select>
                            <!-- Number of People Selection End -->
                            <!-- Booking Button Start -->
                            <div class="input-group-append">
                                <button class="btn btn-light" type="button" id="bookingBtn">Check Availability</button>
                            </div>
                            <!-- Booking Button End -->
                        </div>
                        <!-- END OF SEARCH BAR -->
                    </div>
                </div>

            </div>
            <!-- END MIDDLE ROW -->

            <!-- CONTACT US -->
            <div id="contactUsDiv" class="row">
                <div id="contactTitleDiv">
                    <h4 id="contactUsTitle">Want to send us a message?</h4>
                </div>
                <div id="contactForm">
                    <div class="mb-3">
                        <label for="contactUsEmail" class="form-label"></label>
                        <input  id="contactUsEmail" type="email" class="form-control" placeholder="name@email.com">
                        <label for="contactUsMessage" class="form-label"></label>
                        <textarea id="contactUsMessage" class="form-control" rows="3" placeholder="Send us your thoughts!"></textarea>
                    </div>
                    <div class="mb-3">
                        <button id="contactUsSubmit" class="btn btn-light" type="button">Send</button>
                    </div>
                </div>
            </div>
            <!-- END CONTACT US -->

            <!-- CHAT BOT -->
            <div id="chatBotDiv">
                <div id="chatIconDiv">
                    <!-- Lower right chat button -->
                    <button id="chatBtn">
                        <svg id="chatIcon" xmlns="http://www.w3.org/2000/svg" width="32" height="32" fill="currentColor" class="bi bi-chat-square-quote-fill" viewBox="0 0 16 16">
                            <path d="M0 2a2 2 0 0 1 2-2h12a2 2 0 0 1 2 2v8a2 2 0 0 1-2 2h-2.5a1 1 0 0 0-.8.4l-1.9 2.533a1 1 0 0 1-1.6 0L5.3 12.4a1 1 0 0 0-.8-.4H2a2 2 0 0 1-2-2V2zm7.194 2.766a1.688 1.688 0 0 0-.227-.272 1.467 1.467 0 0 0-.469-.324l-.008-.004A1.785 1.785 0 0 0 5.734 4C4.776 4 4 4.746 4 5.667c0 .92.776 1.666 1.734 1.666.343 0 .662-.095.931-.26-.137.389-.39.804-.81 1.22a.405.405 0 0 0 .011.59c.173.16.447.155.614-.01 1.334-1.329 1.37-2.758.941-3.706a2.461 2.461 0 0 0-.227-.4zM11 7.073c-.136.389-.39.804-.81 1.22a.405.405 0 0 0 .012.59c.172.16.446.155.613-.01 1.334-1.329 1.37-2.758.942-3.706a2.466 2.466 0 0 0-.228-.4 1.686 1.686 0 0 0-.227-.273 1.466 1.466 0 0 0-.469-.324l-.008-.004A1.785 1.785 0 0 0 10.07 4c-.957 0-1.734.746-1.734 1.667 0 .92.777 1.666 1.734 1.666.343 0 .662-.095.931-.26z"/>
                        </svg>
                    </button>
                </div>
            </div>
            <div id="chatWindow" class="hide-content">
                <!-- Close button -->
                <button id="chatCloseBtn">
                    <svg xmlns="http://www.w3.org/2000/svg" width="20" height="20" fill="currentColor" class="bi bi-x-circle" viewBox="0 0 16 16">
                        <path d="M8 15A7 7 0 1 1 8 1a7 7 0 0 1 0 14zm0 1A8 8 0 1 0 8 0a8 8 0 0 0 0 16z"/>
                        <path d="M4.646 4.646a.5.5 0 0 1 .708 0L8 7.293l2.646-2.647a.5.5 0 0 1 .708.708L8.707 8l2.647 2.646a.5.5 0 0 1-.708.708L8 8.707l-2.646 2.647a.5.5 0 0 1-.708-.708L7.293 8 4.646 5.354a.5.5 0 0 1 0-.708z"/>
                    </svg>
                </button>
                <!-- Chat form -->
                <div id="chatForm" class="container-fluid">
                    <div id="chatTitleDiv">
                        <h4 id="chatTitle">Let our DropBear Bot help you.</h4>
                    </div>
                    <div class="card">
                        <!-- Chat Messages Display -->
                        <div id="messageDisplay" class="card-body"></div>
                    </div>
                    <div class="input-group mb-3">
                        <!-- Chat Text Input -->
                        <input id="chatTextInput" type="text" class="form-control" placeholder="Type your message here" aria-label="Chat message">
                        <!-- Chat Send Button -->
                        <button id="chatSendBtn" class="btn btn-outline-secondary" type="button">Send</button>
                    </div>
                </div>
            </div>
            <!-- END CHAT BOT CONTENT -->

            <!-- FOOTER CONTENT -->
            <div id="footerDiv">
                <div>
                    <p><small>This website was developed by drop bears for DropBearTable©</small></p>
                    <p><small><a href="https://iconscout.com/icons/koala" target="_blank">Koala Icon</a> by <a href="https://iconscout.com/contributors/twitter-inc" target="_blank">Twitter Emoji</a></small></p>
                </div>
            </div>
            <!-- END FOOTER CONTENT -->
        </div>
    </div>

    <!-- BOOTSTRAP BUNDLE WITH POPPER -->
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.0.2/dist/js/bootstrap.bundle.min.js" integrity="sha384-MrcW6ZMFYlzcLA8Nl+NtUVF0sA7MsXsP1UyJoMp4YLEuNSfAP+JcXn/tWtIaxVXM" crossorigin="anonymous"></script>

    <!-- CUSTOM SCRIPTS.JS FILE -->
    <script src="js/scripts.js"></script>
</body>
</html>
